From 3a8ae095a3922551f3191844437894217f41d3f1 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:09 +0000
Subject: [PATCH 375/2232] Decouple Vec ffi wrapper from C++ vector elements


---

diff --git a/src/rust_vec.rs b/src/rust_vec.rs
index 671d8f7..a8a144a 100644
--- a/src/rust_vec.rs
+++ b/src/rust_vec.rs
@@ -1,11 +1,9 @@
-use crate::cxx_vector::VectorTarget;
-
 #[repr(C)]
-pub struct RustVec<T: VectorTarget<T>> {
+pub struct RustVec<T> {
     repr: Vec<T>,
 }
 
-impl<T: VectorTarget<T>> RustVec<T> {
+impl<T> RustVec<T> {
     pub fn from(v: Vec<T>) -> Self {
         RustVec { repr: v }
     }

